Subject: Re: [RFC PATCH] describe: Make --tags and --all match lightweight tags more often

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 13 Oct 2008 07:32:02 -0700

Junio C Hamano <[email-masked]> wrote:
> 
> The primary mode of operation without --tags of "describe" is about coming
> up with version numbers, and as such, it should try to base its output on
> immutable anchors as much as possible.  For that reason, I think it should
> use "tag " line from the tag object, not the name of the ref, to describe
> the committish.  They should match (otherwise fsck would say something
> about it) in practice, though...

FWIW the use of "tag " line for an annotated tag being output is what
212945d4 (Teach git-describe to verify annotated tag names before
output) was all about.  That has been in tree since v1.5.5-rc0~86^2.

So we already are doing (have been doing) exactly what you are
asking for.

Or did I misunderstand you?

-- 
Shawn.